

;	USED TO LOCATE BEGINNING OF THE "CCP"
;	AFTER "FILL.COM" HAS MARKED THE "TPA"



START	EQU	00200H
STOP	EQU	0FFFFH


	ORG	0100H


	LXI	D,(STOP-START)
	LXI	H,START

	MOV	B,M
	MOV	A,B
	STA	TOKEN

	PUSH	A
	CALL	UPHEX
	STA	MARKR

	POP	A
	CALL	LOHEX
	STA	MARKR+1

TEST	MOV	A,D
	CPI	0
	JNZ	LOOK
	MOV	A,E
	CPI	0
	JZ	QUIT2

LOOK	LDA	TOKEN
	CMP	M
	JNZ	QUIT1

	DCX	D
	INX	H
	JMP	TEST

QUIT1	DCX	H

QUIT2	MOV	A,H
	PUSH	A
	CALL	UPHEX
	STA	FINIS

	POP	A
	CALL	LOHEX
	STA	FINIS+1

	MOV	A,L
	PUSH	A
	CALL	UPHEX
	STA	FINIS+2

	POP	A
	CALL	LOHEX
	STA	FINIS+3

	MVI	A,START / 0100H
	PUSH	A
	CALL	UPHEX
	STA	BEGIN

	POP	A
	CALL	LOHEX
	STA	BEGIN+1

	MVI	A,START AND 00FFH
	PUSH	A
	CALL	UPHEX
	STA	BEGIN+2

	POP	A
	CALL	LOHEX
	STA	BEGIN+3

	MVI	C,09H
	LXI	D,MSG
	CALL	0005H

	JMP	0000H


MSG	DB	0AH,0AH,'         ADDRESSES  '''

BEGIN	DS	4

	DB	'H''  THROUGH  '''

FINIS	DS	4

	DB	'H''  CONTAIN  '''

MARKR	DS	2

	DB	'H''',0DH,0AH,0AH

	DB	'$'

UPHEX	RAR			;     CONVERT UPPER NYBBLE
	RAR			;      TO ITS ASCII VALUE
	RAR
	RAR
	CALL	LOHEX
	RET

LOHEX	ANI	0FH		;     CONVERT LOWER NYBBLE
	ORI	30H		;      TO ITS ASCII VALUE
	CPI	'9'+1
	RM
	ADI	07H
	RET

TOKEN	DS	1


	END	0100H

